Name:           tex-prerex-bin
Version:        6.5.1
Release:        2%{?dist}
Summary:        Interactive editor for prerequisite charts

Group:          Applications/Editors     
License:        GPLv2
URL:            http://www.ctan.org/tex-archive/graphics/prerex
Source0:        http://www.ctan.org/tex-archive/graphics/prerex/prerex-%version.tar.gz
BuildRoot:      %{_topdir}/BUILDROOT/

BuildRequires:  libedit-devel, ncurses-devel
Requires:       tex(latex), tex-prerex

%description 
Prerex is an interactive program for editing prerequisite-chart
descriptions in the prerex format. The user does not normally have to be
familiar with details of the format. The editor supports add, remove,
cut-and-paste, and edit operations on diagram elements, and shifts of a
list of specified elements, all the elements in a rectangular region, or
the entire diagram. The edited diagram may be saved, re-processed, and
viewed in a PDF viewer, without exiting the editor.

For a graphical front-end and viewer for use with the prerex editor,
install the vprerex package.

%prep
%setup -q -n prerex-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%doc README ChangeLog NEWS AUTHORS COPYING

%changelog
* Sun Mar 17 2013 Jindrich Novy <novyjindrich@gmail.com> - 6.5.1-2
- fix %%setup macro so that package is actually built

* Wed Aug 22 2012 Bob Tennent <rdt@cs.queensu.ca> - 6.5.1-1
- Initial version of the package
